### Function

# EDataServer gdata_task_get_status

since: 3.46

#### Declaration [src]

    EGDataTaskStatus
    e_gdata_task_get_status (
      JsonObject* task
    )

#### Description [src]

Returns Task::status property.

Available since: 3.46

#### Parameters

`task`

  Type: `JsonObject`

  A GData Task.

  The data is owned by the caller of the function.

#### Return value

Type: `EGDataTaskStatus`

when not found or has set an unknown value.